Integrating Salesforce with Sapho version 3.9 or greater